## indi-gphoto 3.0+20220611124727

=== debian/changelog ===
indi-gphoto (3.0+20220611124727-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 12:47:38 +0000
