=== debian/changelog ===
indi-gphoto (3.2+20221221172841-3) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113021)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:26:38 +0200

indi-gphoto (3.2+20221221172841-2) unstable; urgency=medium

  * Use udev.pc to place udev files. (Closes: #1058853)
    Thanks to Chris Hofstaedtler for the patch
    - debian/control: update dependencies for /usr-merge
    - debian/rules: Use udev.pc to place udev files.
  * debian/control: bump standard to 4.6.2 (no changes)
  * debian/copyright: update years
  * add upstream metadata

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 17 Dec 2023 13:50:02 +0100

indi-gphoto (3.2+20221221172841-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 3.2
  * new upstream version Closes: #1026630

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 21 Dec 2022 17:29:56 +0000
