=== debian/control ===
Source: indi-gphoto
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libindi-dev
	, zlib1g-dev
	, libusb-dev
	, libjpeg-dev
	, libcfitsio-dev
	, libgphoto2-dev
	, libraw-dev
	, pkgconf
	, systemd-dev
Standards-Version: 4.6.2
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-gphoto
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-gphoto.git

Package: indi-gphoto
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for GPhoto (DSLR) Cameras
 This package contains an INDI driver for GPhoto (DSLR) Cameras.
 The driver can operate any camera supported by GPhoto2.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
